Stolen Check API Documentation
Welcome to Vehicle Databases API's Documentation
Stolen Check
GETJSON ResponseOverview
The Stolen Vehicle API enables users to check for any history of theft associated with a vehicle by VIN, providing stolen record information. This API supports a wide range of VIN formats, ensuring compatibility across multiple regions and vehicle types.
- COVERAGE
- This API provides worldwide access to stolen vehicle records, including all types of vehicles, such as cars, trucks, motorbikes, and boats.
- SUPPORT
- Works for all 17-Characters VINs and classic VINs (5-14 characters) globally.
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/stolen-check/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com//stolen-check/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 5-17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": [
{
"possible_stolen": "true",
"make": "Ford",
"model": "E-150",
"plate": "7B45788",
"color": "White",
"location": "Carmichael",
"date": "20/03/2026"
}
]
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400Record(s) were not found for this vehicle.Verify the VIN is correct or try a different vehicle.
401Access denied due to invalid subscription x-authkey.Provide a valid API x-authkey for an active subscription.
422Too many requestsReduce request frequency to comply with rate limits.
404API not foundCheck the API endpoint URL.
500BlankServer error. Contact support if the issue persists.